Subject: bug#50679: 28.0.50; outline-minor-mode-cycle should be able to only cycle at the begining of a line

From: Philip Kaludercic <[email-masked]>
Date: Sun, 26 Sep 2021 13:59:55 +0000

Juri Linkov <[email-masked]> writes:

> tags 50679 fixed
> close 50679 28.0.50
> thanks
>
>>> Then you can customize it to 'bolp'.
>>
>> I just tried it out, and it looks good. The only thing I wonder is if
>> this should apply to both outline-minor-mode and outline-mode?
>
> I separated maps outline-mode-map from outline-minor-mode-cycle-map,
> so it's applied only to outline-minor-mode-cycle-map.  It seems there is
> no need to use it in outline-mode.

I just noticed this now, but I am not sure how clever it is to bind
outline-cycle-buffer via a menu-item. I don't think that there is as
much of a conflict with backtab, as with regular tab, and having to find
a heading before being able to cycling seems less efficient.

-- 
	Philip Kaludercic